chiark
/
gitweb
/
~mdw
/
adns
/ blobdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
|
commitdiff
|
tree
raw
|
inline
| side by side
RELEASE-CHECKLIST: Non-real mode (the default, now)
[adns]
/
RELEASE-CHECKLIST
diff --git
a/RELEASE-CHECKLIST
b/RELEASE-CHECKLIST
index 574fa1b7ab6589dec174ac3fd65e3191c9b780b0..e1f45dd0c5a556e671adcfb45bf4c49bbb9b007a 100755
(executable)
--- a/
RELEASE-CHECKLIST
+++ b/
RELEASE-CHECKLIST
@@
-9,7
+9,7
@@
# * Update ADNS_VERSION_STRING in client/client.h
#
# * Run this script
# * Update ADNS_VERSION_STRING in client/client.h
#
# * Run this script
-# ./RELEASE-CHECKLIST <version>
+# ./RELEASE-CHECKLIST
[--real]
<version>
#
# * On chiark, maybe, replace ~ian/public-html/adns/current
# with symlink to web-$(version) (as directed by script)
#
# * On chiark, maybe, replace ~ian/public-html/adns/current
# with symlink to web-$(version) (as directed by script)
@@
-22,6
+22,11
@@
set -e
fail () { echo >&2 "$0: $*"; exit 16; }
fail () { echo >&2 "$0: $*"; exit 16; }
+real=false
+if [ "x$1" = x--real ]; then
+ real=true; shift
+fi
+
if [ $# != 1 ]; then fail "wrong # arguments"; fi
wantversion="$1"
if [ $# != 1 ]; then fail "wrong # arguments"; fi
wantversion="$1"
@@
-36,6
+41,7
@@
chiark=chiark:/u/ian/public-html/adns
chiarkftp=$chiark/ftp
x () { echo "----- $* -----"; "$@"; }
chiarkftp=$chiark/ftp
x () { echo "----- $* -----"; "$@"; }
+wx () { if $real; then x "$@"; else echo "WOULD: $*"; fi; }
x git clean -xdff
x ./configure
x git clean -xdff
x ./configure
@@
-51,16
+57,18
@@
x test -f $distfile
tag=adns-${version//\~/-}
webout=docs-$version
tag=adns-${version//\~/-}
webout=docs-$version
-x gpg --detach-sign $distfile
-x git tag -s $gpgkey -m "adns release $version" $tag
-x git push origin $tag~0:master $tag
+
w
x gpg --detach-sign $distfile
+
w
x git tag -s $gpgkey -m "adns release $version" $tag
+
w
x git push origin $tag~0:master $tag
distfiles="$distfile $distfile.sig"
distfiles="$distfile $distfile.sig"
-x rsync -vP $distfiles $chiarkftp/
+wx rsync -vP $distfiles $chiarkftp/
+
+wx rsync -rvP web/. $chiark/$webout
-x rsync -rvP web/. $chiark/$webout
+wx sha256sum $distfiles
-x sha256sum $distfiles
+if ! $real; then echo "NOT REAL"; exit 0; fi
cat <<END
cat <<END